%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent/HTTP.pm) perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(Digest/MD5.pm) perl(Env.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Lite.pm) perl(JSON/Any.pm) perl(List/Util.pm) perl(Math/Base36.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(Net/OAuth.pm) perl(Test/More.pm) perl(URI.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Net-Plurk
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: A perl interface to Plurk API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CL/CLSUNG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

    use Net::Plurk;
    my $key = $CONSUMER_KEY;
    my $secret = $CONSUMER_SECRET;
    my $access_token = $ACCESS_TOKEN
    my $access_secret = $ACCESS_TOKEN_SECRET
    my $p = Net::Plurk->new(consumer_key => $key, consumer_secret => $secret);
    my $p->authorize(access_token => $access_token,
_access_token_secret => $access_secret)
    my $profile = $p->get_own_profile();
    $p->add_events(
        on_new_plurk => sub {
            my $plurk = shift;
            use Data::Dumper; warn Dumper $plurk;
        },
        on_private_plurk => sub {
            my $plurk = shift;
            # blah
        },
        );
    $p->listen;
    my $json = $p->callAPI( '/api');
    ...

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

